{ config, pkgs, lib, home, ... }:

{ 
  home.packages = with pkgs; [ 
    nixfmt
    jetbrains.idea-ultimate
    jetbrains.jdk
    vscode
  ]; 

  programs.neovim = {
    enable = true; 
    extraConfig = ''
      syntax enable
      set termguicolors
      colorscheme monokai_pro
    '';
    viAlias = true; 
    vimAlias = true;
    plugins = with pkgs.vimPlugins; [ 
      vim-nix 
      vim-monokai-pro 
      YouCompleteMe 
      vim-airline 
      vim-lsp 
      fugitive ];
    };
  }
